public static interface JdbcEndpointBuilderFactory.JdbcBuilders
| Modifier and Type | Method and Description |
|---|---|
default JdbcEndpointBuilderFactory.JdbcEndpointBuilder |
jdbc(String path)
JDBC (camel-jdbc)
Access databases through SQL and JDBC.
|
default JdbcEndpointBuilderFactory.JdbcEndpointBuilder |
jdbc(String componentName,
String path)
JDBC (camel-jdbc)
Access databases through SQL and JDBC.
|
default JdbcEndpointBuilderFactory.JdbcEndpointBuilder jdbc(String path)
jdbc:dataSourceName
Path parameter: dataSourceName (required)
Name of DataSource to lookup in the Registry. If the name is
dataSource or default, then Camel will attempt to lookup a default
DataSource from the registry, meaning if there is a only one instance
of DataSource found, then this DataSource will be used.path - dataSourceNamedefault JdbcEndpointBuilderFactory.JdbcEndpointBuilder jdbc(String componentName, String path)
jdbc:dataSourceName
Path parameter: dataSourceName (required)
Name of DataSource to lookup in the Registry. If the name is
dataSource or default, then Camel will attempt to lookup a default
DataSource from the registry, meaning if there is a only one instance
of DataSource found, then this DataSource will be used.componentName - to use a custom component name for the endpoint
instead of the default namepath - dataSourceNameApache Camel